The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги ]

09.02.2017 10:32  Прекращена поддержка LTS-ветки ядра Linux 3.18

Грег Кроа-Хартман (Greg Kroah-Hartman), отвечающий за поддержку стабильной ветки ядра Linux, представил последнее обновление LTS-ветки ядра 3.18.48. Релиз ядра 3.18 был выпущен в декабре 2014 года и поддерживался более двух лет. Отныне выпуск обновлений для данной ветки ядра прекращён и пользователям рекомендуется перейти на актуальные LTS-ветки 4.4 или 4.9, которые будут поддерживаться до февраля 2018 и января 2019 г. Сообщается, что несмотря на окончание времени жизни ветка 3.18 продолжает использоваться в некоторых актуальных прошивках на базе платформы Android и ChromeOS, но поддерживать портирование исправлений с устранением уязвимостей для ядра Linux 3.18 теперь придётся самим производителям.

Кроме веток 4.4 и 4.9 также продолжается сопровождение longterm-веток 4.1, 3.16, 3.12, 3.10, 3.4 и 3.2. Ветка 4.1 будет поддерживаться до сентября 2017 (сопровождает Sasha Levin, работающий в Oracle), ветки 3.16 и 3.2 будут поддерживаться до апреля 2020 и до мая 2018 г. (поддерживает Ben Hutchings из Debian), ветка 3.12 будет обновляться до мая 2017 г. (поддерживает Jiri Slaby из SUSE), ветка 3.10 просуществует до октября 2017 г. (поддерживает Willy Tarreau, автор HAProxy), ветка 3.4 будет обновляться до апреля 2017 года (поддерживает Li Zefan из компании Huawei).

  1. Главная ссылка к новости (https://lkml.org/lkml/2017/2/8...)
  2. OpenNews: Ядро Linux 3.14 отнесено к категории выпусков с длительным сроком поддержки
  3. OpenNews: Релиз ядра Linux 3.18
  4. OpenNews: Компания Canonical обеспечит длительную поддержку для ядра Linux 3.16
  5. OpenNews: Компания Canonical обеспечит длительную поддержку для ядра Linux 3.19
  6. OpenNews: Ядро Linux 4.9 отнесено к категории выпусков с длительным сроком поддержки
Лицензия: CC-BY
Тип: К сведению
Ключевые слова: linux, kernel
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Линейный вид | Ajax | Показать все | RSS
 
  • 1.3, Аноним, 11:12, 09/02/2017 [ответить] [смотреть все]
  • –3 +/
    По большей части не производители будут поддерживать, а пользователи надеяться и... весь текст скрыт [показать]
     
  • 1.4, eRIC, 12:54, 09/02/2017 [ответить] [смотреть все]  
  • +4 +/
    Очень много разбросанных версий LTS. Не логично:

    - 3.2 - май 2018
    - 3.4 - апрель 2017
    - 3.10 - октябрь 2017
    - 3.12 - май 2017
    - 3.16 - апрель 2020
    - 3.18 - EOL
    - 4.1 - сентябрь 2017
    - 4.4 - февраль 2018
    - 4.9 - январь 2019

    т.е если хочешь 3.x стабильное ядро на протяжении долгого времени то откатись до 3.16!
    на 4.X не перейдешь, потому что LTS версия для нее коротковременные.

    лучше по одной версии LTS сроком до 5 лет из каждой ветки достаточно было бы, всего две версии было бы из 3.X и 4.X

     
     
  • 2.6, rshadow, 13:19, 09/02/2017 [^] [ответить] [смотреть все] [показать ветку]  
  • +8 +/
    Логично. LTS поддерживают те кому это нужно, а не из альтруистических побуждений и стремлений "к прекрасному перфекционизму".
     
  • 2.8, Andrey Mitrofanov, 13:44, 09/02/2017 [^] [ответить] [смотреть все] [показать ветку]  
  • –1 +/
    Кто что схватил, тот то и тащит Корраборация http www opennet ru opennew... весь текст скрыт [показать] [показать ветку]
     
     
  • 3.10, eRIC, 14:00, 09/02/2017 [^] [ответить] [смотреть все]  
  • +1 +/
    Я в курсе какие компании взялись за поддержку той или иной версии, но это инициа... весь текст скрыт [показать]
     
     
  • 4.11, Andrey Mitrofanov, 14:30, 09/02/2017 [^] [ответить] [смотреть все]  
  • –1 +/
    Ну дак, Линус наконец избавился от пользователей-человеков и хороводит в фундейш... весь текст скрыт [показать]
     
  • 2.13, Ilya Indigo, 15:43, 09/02/2017 [^] [ответить] [смотреть все] [показать ветку]  
  • –4 +/
    Обновляйся до стабильной версии ядра и будет тебе счастье ... весь текст скрыт [показать] [показать ветку]
     
  • 1.5, Аноним, 12:59, 09/02/2017 [ответить] [смотреть все]  
  • –1 +/
    PuppyLinux Precise и PuppyLinux Tahr храню на всякий случай для стареньких ПК ... весь текст скрыт [показать]
     
  • 1.9, Аноним, 13:50, 09/02/2017 [ответить] [смотреть все]  
  • –2 +/
    Интересно Сижу на 3 10 101, начал переходить на 3 12 70 переписывать некоторые ... весь текст скрыт [показать]
     
     
  • 2.16, Andrey Mitrofanov, 16:38, 09/02/2017 [^] [ответить] [смотреть все] [показать ветку]  
  • +4 +/
    Вы, товарищь, https www kernel org pub linux kernel v3 0 C M O D сядьте... весь текст скрыт [показать] [показать ветку]
     
  • 1.23, Аноним, 05:14, 10/02/2017 [ответить] [смотреть все]  
  • –2 +/
    А что там про 2.6.19? Ещё можно пока не обновляться?!
     
     
  • 2.24, Онаним, 10:36, 10/02/2017 [^] [ответить] [смотреть все] [показать ветку]  
  • –1 +/
    Пользователям Дебиана можно.
     
  • 2.25, Andrey Mitrofanov, 10:52, 10/02/2017 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Держаться 1 CODE kernel-2 6 18-417 el5 i686 rpm 2016-12-20 17 00 20M CODE ... весь текст скрыт [показать] [показать ветку]
     
     
  • 3.26, _KUL, 19:03, 10/02/2017 [^] [ответить] [смотреть все]  
  • +/
    Это у вас на холодильник вендор не хочет свежую прошивку выпускать Где вы такое... весь текст скрыт [показать]
     
     
  • 4.27, Andrey Mitrofanov, 23:38, 10/02/2017 [^] [ответить] [смотреть все]  
  • +/
    Я Нашёл в поисковике под задачу не обновляться на 2 6 19 выше http vault c... весь текст скрыт [показать]
     
     
  • 5.28, _KUL, 15:56, 11/02/2017 [^] [ответить] [смотреть все]  
  • –1 +/
    https s-media-cache-ak0 pinimg com 736x 42 ca bd 42cabd4006153a3856f7a5863dff8... весь текст скрыт [показать]
     
  • 4.29, fi, 14:38, 13/02/2017 [^] [ответить] [смотреть все]  
  • +/
    автор честно указал где kernel-2 6 18-417 el5 i686 rpm и ВООБЩЕ ядра надо... весь текст скрыт [показать]
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2017 by Maxim Chirkov  
    ДобавитьРекламаВебмастеруГИД  
    Hosting by Ihor